:root {
    --mds-main-font: "San Diego", "San Francisco", system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Open Sans, Helvetica Neue, sans-serif;
    --mds-soft-light-color: #272727;
    --mds-main-light-color: #3f3f3f;

    --mds-color-blue: #065fd4;
    --mds-color-green: #2ba640;
    --mds-color-warn: #c30027;

    --ui-header-text-color: #ffffff;
    --ui-header-color: #0f0f0f;

    --wd-ref-typeface-brand: "San Diego", "San Francisco", system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Open Sans, Helvetica Neue, sans-serif;
    --wd-ref-typeface-plain: "San Diego", "San Francisco", system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Open Sans, Helvetica Neue, sans-serif;
}

wd-outlined-button, wd-filled-button {
    padding-top: 12px !important;
    font-weight: 500;
}

.sp-choose {
    font-family: var(--mds-main-font) !important;
}

html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: var(--mds-main-font);
    overflow: hidden;
}

body {
    display: flex;
    flex-direction: column;
}

#topbar {
    height: 48px;
    background: var(--ui-header-color);
    color: var(--ui-header-text-color);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 10px;
}

#topbar h1 {
    font-family: 'Brand Sans';
    font-size: 16px;
    margin: 0;
    font-weight: 500;
}

#topbar-actions {
    display: flex;
    gap: 6px;
}

button {
    font-family: var(--mds-main-font);
    font-size: 14px;
}

button {
    font-family: var(--mds-main-font);
    font-size: 14px;
    color: var(--btn-color-reg);
    background: var(--btn-main-color);
    border: none;
    border-radius: 4px;
    padding: 6px 14px;
    cursor: pointer;
    transition: font-weight 1s;
}

button:hover {
    font-weight: 700;
    color: #ffffff;
    background: var(--btn-hover-color);
}

button:focus {
    color: #ffffff;
    background: var(--btn-click-color);
}

#editor {
    flex: 1;
    min-height: 0;
    overflow: hidden;
}

@media (max-width: 768px) {
    #topbar {
        flex-direction: column;
        height: auto;
        gap: 6px;
        padding: 8px;
    }
}
